#include "version.sh"

in highp vec2 texCoord_f;
uniform lowp vec4 mixColor;

out vec4 fragColor;
void main()
{
    highp float alp = 1.0;
    highp float PI = 3.1415;
    if(texCoord_f.y > 0.5)
        discard;
    highp float para = abs(texCoord_f.x - 0.5) * PI;
    if (para > 0.0)
        alp = 1.0 / tan(para);
    else
        alp = 1.0;
    alp = clamp(alp, 0.0, 1.0);
        
    fragColor.rgb = mixColor.rgb;
    fragColor.a = alp * mixColor.w;
}
